### signal_set_base

The `signal_set_base` class is used as a base for the `basic_signal_set` class templates so that we have a common place to define the flags enum.

    class signal_set_base

##### Types

Name | Description
--- | ---
flags | Enumeration representing the different types of flags that may specified when adding a signal to a set.
flags_t | Portability typedef.

##### Protected Member Functions

Name | Description
--- | ---
~signal_set_base [destructor] | Protected destructor to prevent deletion through this type.

##### Requirements

Header: `asio/signal_set_base.hpp`

Convenience header: `asio.hpp`